Skip to main content

Endpoint

View as Markdown

Get

GET /api/2.0/vector-search/endpoints/{name}

Get details for a single AI Search endpoint.

API scopes: vector-search

Parameters

namestringpath

Name of the endpoint

Response

namestring

Name of the AI Search endpoint

Example: docs-endpoint

creatorstring

Creator of the endpoint

Example: john@example.com

creation_timestampint64

Timestamp of endpoint creation

Example: 1702013512061

last_updated_timestampint64

Timestamp of last update to the endpoint

Example: 1702013512061

endpoint_typestring

Type of endpoint

Values: STORAGE_OPTIMIZED, STANDARD

last_updated_userstring

User who last updated the endpoint

Example: john@example.com

idstring

Unique identifier of the endpoint

Example: c56bf0a9-4929-4bd4-8bd5-d82ca62f9c76

endpoint_statusobject

Current status of the endpoint

Show child attributesHide child attributes
statestring

Current state of the endpoint

Values: PROVISIONING, ONLINE, OFFLINE, RED_STATE, YELLOW_STATE, DELETED

Example: PROVISIONING

messagestring

Additional status message

num_indexesint32

Number of indexes on the endpoint

budget_policy_idstring

The user-selected budget policy id for the endpoint.

effective_budget_policy_idstring

The budget policy id applied to the endpoint

Example: 8b0444ff-8b60-48b0-9d31-e391f6126e0f

scaling_infoobject

Scaling information for the endpoint

Show child attributesHide child attributes
statestring

The current state of the scaling change request.

Values: SCALING_CHANGE_UNSPECIFIED, SCALING_CHANGE_APPLIED, SCALING_CHANGE_IN_PROGRESS

Example: SCALING_CHANGE_APPLIED

requested_target_qpsint64

The requested QPS target for the endpoint. Best-effort; the system does not guarantee this QPS will be achieved.

Example: 500

Create

POST /api/2.0/vector-search/endpoints

Create a new endpoint.

API scopes: vector-search

Request body

namestring

Name of the AI Search endpoint

Example: docs-endpoint

endpoint_typestring

Type of endpoint

Values: STORAGE_OPTIMIZED, STANDARD

budget_policy_idstring

The budget policy id to be applied

Example: 8b0444ff-8b60-48b0-9d31-e391f6126e0f

target_qpsint64

Target QPS for the endpoint. Mutually exclusive with num_replicas. The actual replica count is calculated at index creation/sync time based on this value. Best-effort target; the system does not guarantee this QPS will be achieved.

Example: 100

Response

namestring

Name of the AI Search endpoint

Example: docs-endpoint

creatorstring

Creator of the endpoint

Example: john@example.com

creation_timestampint64

Timestamp of endpoint creation

Example: 1702013512061

last_updated_timestampint64

Timestamp of last update to the endpoint

Example: 1702013512061

endpoint_typestring

Type of endpoint

Values: STORAGE_OPTIMIZED, STANDARD

last_updated_userstring

User who last updated the endpoint

Example: john@example.com

idstring

Unique identifier of the endpoint

Example: c56bf0a9-4929-4bd4-8bd5-d82ca62f9c76

endpoint_statusobject

Current status of the endpoint

Show child attributesHide child attributes
statestring

Current state of the endpoint

Values: PROVISIONING, ONLINE, OFFLINE, RED_STATE, YELLOW_STATE, DELETED

Example: PROVISIONING

messagestring

Additional status message

num_indexesint32

Number of indexes on the endpoint

budget_policy_idstring

The user-selected budget policy id for the endpoint.

effective_budget_policy_idstring

The budget policy id applied to the endpoint

Example: 8b0444ff-8b60-48b0-9d31-e391f6126e0f

scaling_infoobject

Scaling information for the endpoint

Show child attributesHide child attributes
statestring

The current state of the scaling change request.

Values: SCALING_CHANGE_UNSPECIFIED, SCALING_CHANGE_APPLIED, SCALING_CHANGE_IN_PROGRESS

Example: SCALING_CHANGE_APPLIED

requested_target_qpsint64

The requested QPS target for the endpoint. Best-effort; the system does not guarantee this QPS will be achieved.

Example: 500

Update

PATCH /api/2.0/vector-search/endpoints/{name}/budget-policy

Update the budget policy of an endpoint

API scopes: vector-search

Parameters

namestringpath

Name of the AI Search endpoint

Request body

budget_policy_idstring

The budget policy id to be applied

Example: 8b0444ff-8b60-48b0-9d31-e391f6126e0f

Response

budget_policy_idstring
effective_budget_policy_idstring

The budget policy applied to the AI Search endpoint.

Delete

DELETE /api/2.0/vector-search/endpoints/{name}

Delete an AI Search endpoint.

API scopes: vector-search

Parameters

namestringpath

Name of the AI Search endpoint

Patch Endpoint

PATCH /api/2.0/vector-search/endpoints/{name}

Update an endpoint

API scopes: vector-search

Parameters

namestringpath

Name of the AI Search endpoint

Example: docs-endpoint

Request body

target_qpsint64

Target QPS for the endpoint. Best-effort; the system does not guarantee this QPS will be achieved.

Example: 100

Response

namestring

Name of the AI Search endpoint

Example: docs-endpoint

creatorstring

Creator of the endpoint

Example: john@example.com

creation_timestampint64

Timestamp of endpoint creation

Example: 1702013512061

last_updated_timestampint64

Timestamp of last update to the endpoint

Example: 1702013512061

endpoint_typestring

Type of endpoint

Values: STORAGE_OPTIMIZED, STANDARD

last_updated_userstring

User who last updated the endpoint

Example: john@example.com

idstring

Unique identifier of the endpoint

Example: c56bf0a9-4929-4bd4-8bd5-d82ca62f9c76

endpoint_statusobject

Current status of the endpoint

Show child attributesHide child attributes
statestring

Current state of the endpoint

Values: PROVISIONING, ONLINE, OFFLINE, RED_STATE, YELLOW_STATE, DELETED

Example: PROVISIONING

messagestring

Additional status message

num_indexesint32

Number of indexes on the endpoint

budget_policy_idstring

The user-selected budget policy id for the endpoint.

effective_budget_policy_idstring

The budget policy id applied to the endpoint

Example: 8b0444ff-8b60-48b0-9d31-e391f6126e0f

scaling_infoobject

Scaling information for the endpoint

Show child attributesHide child attributes
statestring

The current state of the scaling change request.

Values: SCALING_CHANGE_UNSPECIFIED, SCALING_CHANGE_APPLIED, SCALING_CHANGE_IN_PROGRESS

Example: SCALING_CHANGE_APPLIED

requested_target_qpsint64

The requested QPS target for the endpoint. Best-effort; the system does not guarantee this QPS will be achieved.

Example: 500

Retrieve User Visible Metrics

POST /api/2.0/vector-search/endpoints/{name}/metrics

Retrieve user-visible metrics for an endpoint

API scopes: vector-search

Parameters

namestringpath

AI Search endpoint name

Request body

start_timestring

Start time for metrics query

end_timestring

End time for metrics query

granularity_in_secondsint32

Granularity in seconds

metricsarray of object

List of metrics to retrieve

Show child attributesHide child attributes
namestring

Metric name

labelsarray of object

Metric labels

Show child attributesHide child attributes
namestring

Label name

valuestring

Label value

percentiledouble

Percentile for the metric

page_tokenstring

Token for pagination

Response

metric_valuesarray of object

Collection of metric values

Show child attributesHide child attributes
metricobject

Metric specification

Show child attributesHide child attributes
namestring

Metric name

labelsarray of object

Metric labels

Show child attributesHide child attributes
namestring

Label name

valuestring

Label value

percentiledouble

Percentile for the metric

valuesarray of object

Time series of metric values

Show child attributesHide child attributes
timestampint64

Timestamp of the metric value (milliseconds since epoch)

valuedouble

Metric value

next_page_tokenstring

A token that can be used to get the next page of results. If not present, there are no more results to show.